.invoice {
    display: grid;
    grid-template-areas: 
        "deliveryMode deliveryMode"
        "customer meta"
        "customer address"
        "summary stamp"
        "total total"
        "data data"
        ;
    grid-template-columns: 60% 40%;
    line-height: 1;
    gap: 0.25em;
    font-size: 11.75pt;
}

.invoice_term {
    display: grid;
    grid-template-areas: 
        "deliveryMode deliveryMode"
        "customer meta"
        "customer address"
        "summary stamp"
        "total total"
        "data data"
        ;
    grid-template-columns: repeat(2, 1fr);
    line-height: 1;
    gap: 0.5em;
    font-size: 11.75pt;
}

.invoice .text-right {
    text-align: right;
}

.invoice .nowrap {
    white-space: nowrap;
}

.invoice .deliveryMode {
    grid-area: deliveryMode;/* 
     text-align: center;
     width: auto;*/
    font-size: 30px;
    /*background-color: #0084D1;*/
    /*color: #fff;*/
    /*padding: 0 0 0.5em 0;*/
    width: 100%;
    text-align: center;
    /*    border-bottom: 1px #333 solid;
        margin: 0px auto;
        margin-bottom: 0.5em;*/   
    letter-spacing: 2em;
    text-indent: 2em;
}

.invoice .title span {
    /*    display: inline-block;
        width: 6em;
        text-align-last: justify;*/
}

.invoice .customer {
    grid-area: customer;
    line-height: 1.5;
    margin-left: 5em;
}

.invoice .input-grid {
    display: grid;
    grid-template-columns: min-content 1fr;
    gap: 0.5em;
    align-items: center;
}

.invoice .meta {
    grid-area: meta;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /*align-items: flex-end;*/
    line-height: 1.2;
    margin-bottom: 5px;
}

.invoice .summary {
    grid-area: summary;
    display: flex;
    flex-direction: column;
}

.invoice_term .summary {
    margin: 1em 0;
}

.invoice .total {
    grid-area: total;
    border-bottom: black 1px solid;
    width: 50%;
    margin-bottom: 0.5em;
    padding: 0.5em 0 0.5em 1em;
}

.invoice .address {
    grid-area: address;
    line-height: 1.2;
    justify-self: center;
}

.invoice .stamp {
    grid-area: stamp;
    text-align: right;
    margin-top: -105px;
}
.invoice .stamp img {
    width: 4.5em;
    height: 4.5em;
}

.invoice .data {
    grid-area: data;
}

.invoice .data table {
    width: 100%;
    border-collapse: collapse;
    text-align: left;
    line-height: 2;
    /*table-layout: fixed;*/
}

.invoice .data table th {
    white-space: nowrap;
    padding: 0.5em;
    font-weight: bold;
    border: 1px solid #bababa;
    border-top: 1px solid #ccc;
    /*    background: #0084D1;
        color: #fff;*/
    line-height: 1.1;
    width: auto;
    text-align: center;
    background: #ccc;
}

.invoice .data table td {
    border: 1px solid #ccc;
    font-size: 0.85em;
    padding: 0.5em;
    line-height: 1.1;
}

.invoice .data table .fit {
    white-space:nowrap;
    height: 2em;
}

.invoice .data table .col-description {
    width: 11em;
    word-break: break-all;
}

.invoice .data table .col-goods-name {
    width: 21.5em;
    word-break: break-all;
}

.invoice .data table .col-no {
    width: 5em;
}

.invoice .data table .col-money {
    width: 6em;

}
.invoice .data table .col-unit-price {
    width: 6em;

}
.invoice .data table .col-unit {
    width: 2.5em;

}
.invoice .data table .col-num {
    width: 6em;
}

.invoice .data table .order_description{
    word-break: break-all;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 12;
    overflow: hidden; 
}

.invoice-tax{
    min-width: 8.5em;
    max-width: 13em;
}

.tax-detail {
    display: grid;
    grid-template-columns:min-content min-content min-content min-content min-content;
    white-space: nowrap;
    gap: 1em;
    justify-content: right;
    text-align: left;
}

.money-prefix:not(:empty) {
    display: flex;
    align-items: center;
    /* gap: 0.5em; */
    justify-content: flex-end;
}

.money-prefix:not(:empty)::before {
    content: "\000a5";
}

.text-center {
    text-align: center;
}

.invoice td, .invoice th{
    page-break-inside: auto;
}

.page{
    page-break-after:always;
}

.page-no{
    float: right;
}

.unitDiv{
    float: right;
}

.remarks{
    border: 1px solid #ccc;
    margin-top: 1em;
}

.remarks-title{
    background-color: #ccc;
    text-align: center;
    padding: 0.5em 0;
}

.remarks-body{
    padding: 1em 1px;
    font-size: 0.9em;
    line-height: 1.5;
}

.total-price {
    float: right;
}

.total-price::before {
    content: "\000a5";
}

.text-lg {
    font-size: 1.3em;
}

.pa-md {
    padding-top: 0.5em !important;
    padding-bottom: 0.5em !important;
    padding-left: 0.5em !important;
    padding-right: 0.5em !important;
}

.font-small {
    font-size: 0.8em;
}